org.codehaus.plexus.interpolation.object

## Class ObjectInterpolationWarning

- java.lang.Object
- - org.codehaus.plexus.interpolation.object.ObjectInterpolationWarning

    public class ObjectInterpolationWarning
    extends java.lang.Object

Represents a warning that occurred while interpolating an object graph. These warnings may not have a serious effect, so they don't cause an exception to be thrown. Each warning contains the path through the object graph from the point of entry to the place where the warning occurred, along with a message containing the actual warning and possibly a `Throwable` cause.

Author:
  jdcasey

### Constructor Summary

Constructors
Constructor and Description
`ObjectInterpolationWarning(java.lang.String path, java.lang.String message)`
`ObjectInterpolationWarning(java.lang.String path, java.lang.String message, java.lang.Throwable cause)`

### Method Summary

Methods
`java.lang.Throwable` `getCause()`
`java.lang.String` `getMessage()`
`java.lang.String` `getPath()`
`java.lang.String` `toString()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### ObjectInterpolationWarning

    public ObjectInterpolationWarning(java.lang.String path,
                              java.lang.String message)

#### ObjectInterpolationWarning

    public ObjectInterpolationWarning(java.lang.String path,
                              java.lang.String message,
                              java.lang.Throwable cause)

### Method Detail

#### getPath

    public java.lang.String getPath()

#### getMessage

    public java.lang.String getMessage()

#### getCause

    public java.lang.Throwable getCause()

#### toString

    public java.lang.String toString()

Overrides:
  `toString` in class `java.lang.Object`